{
	"name": "form/nc/nc-define/nc-database-editor/column/local_field.json",
	"option": {
		"grid_option": {
			"row_class_rules": {
				"nc-grid-row-equal": "data.state === 'match'",
				"nc-grid-row-changed": "data.type === 'extra field'",
				"nc-grid-row-deleted": "data.state !== 'match' && data.local_field != null && data.default_value == null",
				"nc-grid-row-new": "data.type === 'data field'"
			}
		}
	},
	"column": [
		{
			"name": "Row",
			"variable": "idx"
		},
		{
			"name": "Kind",
			"variable": "kind",
			"width": 90
		},
		{
			"variable": "field_name",
			"name": "Field",
			"width": 260
		},
		{
			"variable": "local_field",
			"name": "Matched field",
			"width": 240
		},
		{
			"variable": "example_data",
			"name": "Data",
			"width": 200
		},
		{
			"variable": "field_type",
			"name": "Type",
			"width": 100
		},
		{
			"variable": "constraint",
			"name": "Constraint",
			"width": 110
		},
		{
			"variable": "default_value",
			"name": "Default value",
			"width": 110
		},
		{
			"variable": "field_length",
			"name": "Length",
			"width": 70
		},
		{
			"variable": "not_allowed_value",
			"name": "Not allowed value",
			"width": 200
		},
		{
			"variable": "info",
			"name": "Info",
			"width": 400
		},
		{
			"name": "State",
			"variable": "state",
			"width": 65
		}
	]
}
